
QGIS Application - Bug report #21986

Can not save data of type "array of characters (StringList / JSONSTRINGLIST) "on a layer connected 

to a spatialLite base : error : Type 5 of the x attribute of the entity y is unknown

2019-05-03 12:58 PM - Mickaël CALLAC

Status: Open

Priority: High

Assignee: Alessandro Pasotti

Category: Data Provider/SpatiaLite

Affected QGIS version:3.4.7 Regression?: Yes

Operating System: Windows 10 Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 29801

Description

Test environment:

QGis 3.4.7-1 (LTR)

database: spatiaLite

The error appears in the case of a layer connected to a base SpatiaLite (generated by ogr2ogr) and for an array type field characters. The

field in QGis has been set as "value relational ", the option" Allow multiple selections "is checked.

The field in QGis has the following properties:

Type: QString

Identity type: StringList

This is a field of type "JSONSTRINGLIST" in the base spatiaLite

When saving this field, the following error appears: 2019-05-03T11: 39: 48

CRITICAL Layer name layer: Type 5 of the x attribute of the entity y is unknown.

History

#1 - 2019-05-03 07:49 PM - Giovanni Manghi

- Status changed from Open to Feedback

Did it worked as expected in a previous QGIS release?

#2 - 2019-05-09 08:50 AM - Mickaël CALLAC

Yes, it worked well in QGis 2.18, since the version 3 it didn't work.

#3 - 2019-05-09 09:13 AM - Giovanni Manghi

- Priority changed from Normal to High

- Status changed from Feedback to Open

#4 - 2019-05-23 02:02 PM - Alessandro Pasotti

- Assignee set to Alessandro Pasotti

#5 - 2019-05-23 03:43 PM - Alessandro Pasotti
Is it the attached file a direct ogr2ogr output?

The encoded jsonarrays look wierd to me:

this is not valid json:

{EC,ER,MA,PH}

it should probably be

["EC","ER","MA","PH"]

#6 - 2019-05-23 04:45 PM - Mickaël CALLAC

The dataBase SpatiaLite output is an export from a DB PostGis by ogr2ogr. 

The fields in PostGis are typed in array (character varying []) and contains value which look like {EC,ER,MA,PH}, ogr2ogr keep the same format in the

spatiaLite database.

Files

base.zip 1.64 MB 2019-05-03 Mickaël CALLAC
